package nand.apps.chat.camera

import android.content.Intent
import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.core.net.toUri
import nand.apps.chat.ui.theme.ChatThemeSurface

class QrCodeCameraActivity : ComponentActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setCameraPreview()
    }
    
    private fun setCameraPreview() {
        setContent {
            ChatThemeSurface {
                QrCodeCameraScreen(
                    onResult = { result ->
                        setResult(RESULT_OK, Intent(INTENT_ACTION_QR_CODE_CAMERA_RESULT).setData(result.text.toUri()))
                        finish()
                    },
                    onCancel = {
                        setResult(RESULT_CANCELED)
                        finish()
                    },
                )
            }
        }
    }
}