package nand.apps.chat.audio.opus

import nand.apps.chat.audio.AudioFileWriterFactory
import nand.apps.chat.audio.toOpusMetadata
import nand.apps.chat.model.audio.AudioMetadata
import nand.apps.opus.OpusFileWriter

class OpusFileWriterFactory : AudioFileWriterFactory {

    override fun getFileWriter(
        path: String,
        sampleRate: Int,
        channels: Int,
        bitRate: Int,
        metadata: AudioMetadata?
    ) = OpusFileWriter(
        path = path,
        sampleRate = sampleRate,
        channels = channels,
        bitRate = bitRate,
        metadata = metadata?.toOpusMetadata(),
    )
}