package nand.apps.chat.engine.mux

import nand.apps.chat.engine.ChatEngine
import nand.apps.chat.io.ChatEngineEncryption
import org.koin.core.Koin

class ChatEngineEncryptionMux(koin: Koin) : ChatEngineEncryption {

    private val chatEngine: ChatEngine by koin.inject()
    private val encryption get() = chatEngine.encryption

    override fun getFileEncryption(key: String, cipher: ByteArray?) =
        encryption.getFileEncryption(key, cipher)

    override fun isEncryptionSupported() = encryption.isEncryptionSupported()

    override fun isDecryptionSupported() = encryption.isDecryptionSupported()

    override fun isEncrypted(data: ByteArray) = encryption.isEncrypted(data)

    override fun encryptData(data: ByteArray) = encryption.encryptData(data)

    override fun decryptData(data: ByteArray) = encryption.decryptData(data)
}