package nand.apps.chat.engine.mux

import nand.apps.chat.engine.ChatEngine
import nand.apps.chat.model.user.ChatProfileData
import nand.apps.chat.profile.ProfileAuthenticator
import org.koin.core.Koin

class ChatEngineProfileAuthenticator(koin: Koin) : ProfileAuthenticator {

    private val chatEngine: ChatEngine by koin.inject()
    private val authenticator get() = chatEngine.authenticator

    override fun isAuthenticationRequired() =
        authenticator.isAuthenticationRequired()

    override suspend fun isLoginCorrect(profile: ChatProfileData) =
        authenticator.isLoginCorrect(profile)

    override suspend fun isPasswordCorrect(password: String) =
        authenticator.isPasswordCorrect(password)
}