package nand.apps.chat.image

import androidx.compose.ui.graphics.ImageBitmap
import coil3.Uri
import nand.apps.chat.platform.ChatPlatform
import nand.apps.chat.platform.getPlatform
import okio.Path
import okio.Path.Companion.toPath

expect fun SimpleBitmap.toComposeBitmap(): ImageBitmap

expect fun SimpleBitmap.toPngByteArray(): ByteArray

expect fun SimpleBitmap.toJpegByteArray(quality: Float): ByteArray

fun Uri.toFilePath(): Path? {
    return when {
        scheme == "file" || scheme == null -> path
        getPlatform() == ChatPlatform.WINDOWS && scheme?.length == 1 -> toString()
        else -> null
    }?.replace("/", Path.DIRECTORY_SEPARATOR)?.toPath()
}