package nand.apps.chat.net.remote.event

import kotlinx.serialization.Serializable
import nand.apps.chat.model.group.PersistedChatGroupData
import nand.apps.chat.model.group.PersistedChatGroupInviteData
import nand.apps.chat.model.message.ChatMessageType
import nand.apps.chat.model.user.PersistedUserData
import nand.apps.chat.net.remote.command.ChatRemoteCommandType

@Serializable
sealed class ChatRemoteEvent

@Serializable
data class CommandResponseEvent(
    val type: ChatRemoteCommandType,
    val code: Int,
    val uid: String,
) : ChatRemoteEvent()

@Serializable
data class ContactListEvent(
    val friends: List<PersistedUserData>,
    val groups: List<PersistedChatGroupData>,
) : ChatRemoteEvent()

@Serializable
data class NewMessageEvent(
    val conversationUid: String,
    val senderUid: String,
    val message: String,
    val type: ChatMessageType,
) : ChatRemoteEvent()

@Serializable
data class FriendRequestEvent(
    val friendUid: String,
    val message: String,
) : ChatRemoteEvent()

@Serializable
data class GroupInviteEvent(
    val invite: PersistedChatGroupInviteData,
) : ChatRemoteEvent()