package nand.apps.chat.res

import kotlinx.coroutines.runBlocking
import org.jetbrains.compose.resources.getStringArray as coreGetStringArray
import org.jetbrains.compose.resources.StringArrayResource
import org.jetbrains.compose.resources.StringResource

class DefaultStringResourceProvider : StringResourceProvider {

    override fun getString(resource: StringResource, vararg args: Any): String {
        val transformedArgs = args.map(::getArgument).toTypedArray()
        return getStringBlocking(resource, *transformedArgs)
    }

    override fun getStringArray(resource: StringArrayResource): List<String> {
        return runBlocking { coreGetStringArray(resource) }
    }
}