package nand.apps.chat.res

import org.jetbrains.compose.resources.StringArrayResource
import org.jetbrains.compose.resources.StringResource

interface StringResourceProvider {

    fun getString(resource: StringResource, vararg args: Any): String

    fun getString(resource: FormattedStringResource) = getString(resource.value, *resource.args.toTypedArray())

    fun getStringArray(resource: StringArrayResource): List<String>

    operator fun get(resource: StringResource) = getString(resource)

    fun getArgument(arg: Any) = when (arg) {
        is StringResource -> getString(arg)
        is FormattedStringResource -> getString(arg)
        else -> arg.toString()
    }
}