package nand.apps.chat.res

import androidx.compose.runtime.Composable
import kotlinx.coroutines.runBlocking
import org.jetbrains.compose.resources.StringResource
import org.jetbrains.compose.resources.getString
import org.jetbrains.compose.resources.stringResource

@Composable
fun stringResource(resource: FormattedStringResource): String {
    return stringResource(
        resource = resource.value,
        formatArgs = resource.args.map { arg ->
            when (arg) {
                is StringResource -> stringResource(arg)
                is FormattedStringResource -> stringResource(arg)
                else -> arg.toString()
            }
        }.toTypedArray(),
    )
}

fun getStringBlocking(resource: StringResource, vararg formatArgs: Any) =
    runBlocking { getString(resource, *formatArgs) }