package nand.apps.chat.ui.call

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.CallEnd
import androidx.compose.material.icons.filled.PhoneInTalk
import androidx.compose.material.icons.filled.PhonePaused
import nand.apps.chat.model.call.CallAction
import nand.apps.chat.model.settings.shortcut.ShortcutAction
import seers.composeapp.generated.resources.*

val CallAction.label get() = when (this) {
    CallAction.ANSWER -> Res.string.answer_call
    CallAction.DECLINE -> Res.string.decline_call
    CallAction.HANG_UP -> Res.string.end_call
    CallAction.PAUSE -> Res.string.pause_call
    CallAction.RESUME -> Res.string.resume_call
}

val CallAction.shortLabel get() = when (this) {
    CallAction.ANSWER -> Res.string.answer
    CallAction.DECLINE -> Res.string.decline
    CallAction.HANG_UP -> Res.string.hang_up
    CallAction.PAUSE -> Res.string.pause
    CallAction.RESUME -> Res.string.resume
}

val CallAction.icon get() = when (this) {
    CallAction.ANSWER,
    CallAction.RESUME -> Icons.Default.PhoneInTalk
    CallAction.DECLINE,
    CallAction.HANG_UP -> Icons.Default.CallEnd
    CallAction.PAUSE -> Icons.Default.PhonePaused
}

val CallAction.shortcut get() = when (this) {
    CallAction.ANSWER -> ShortcutAction.START_ANSWER_CALL
    CallAction.RESUME,
    CallAction.PAUSE -> ShortcutAction.PAUSE_RESUME_CALL
    CallAction.DECLINE,
    CallAction.HANG_UP -> ShortcutAction.END_CALL
}