package nand.apps.chat.ui.chat.message

import androidx.compose.runtime.Composable
import androidx.compose.runtime.CompositionLocalProvider
import androidx.compose.ui.platform.LocalLayoutDirection
import androidx.compose.ui.unit.LayoutDirection
import nand.apps.chat.model.message.ChatMessageAlignment

@Composable
fun MessageAligner(
    alignment: ChatMessageAlignment = ChatMessageAlignment.LEFT,
    isSelf: Boolean = false,
    content: @Composable () -> Unit,
) = CompositionLocalProvider(
    value = when (alignment) {
        ChatMessageAlignment.LEFT -> LocalLayoutDirection provides LayoutDirection.Ltr
        ChatMessageAlignment.RIGHT -> LocalLayoutDirection provides LayoutDirection.Rtl
        ChatMessageAlignment.SELF_LEFT -> when {
            isSelf -> LocalLayoutDirection provides LayoutDirection.Ltr
            else -> LocalLayoutDirection provides LayoutDirection.Rtl
        }
        ChatMessageAlignment.SELF_RIGHT -> when {
            isSelf -> LocalLayoutDirection provides LayoutDirection.Rtl
            else -> LocalLayoutDirection provides LayoutDirection.Ltr
        }
    },
    content = content,
)