package nand.apps.chat.ui.chat.screen

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.Search
import androidx.compose.material.icons.outlined.Settings
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.menu.ActionMenuDialog
import nand.apps.chat.ui.menu.ActionMenuRow
import org.jetbrains.compose.resources.stringResource
import seers.composeapp.generated.resources.*

@Composable
fun ChatScreenOptionsDialog(
    onSearch: () -> Unit,
    onSettings: () -> Unit,
    onDismiss: () -> Unit,
) = ActionMenuDialog(
    onDismiss = onDismiss,
) {
    ActionMenuRow(
        icon = Icons.Outlined.Search,
        label = stringResource(Res.string.chat_screen_search_messages),
        onClick = onSearch,
    )
    ActionMenuRow(
        icon = Icons.Outlined.Settings,
        label = stringResource(Res.string.group_settings),
        onClick = onSettings,
    )
}