package nand.apps.chat.ui.contacts

import nand.apps.chat.model.group.ChatGroupData
import nand.apps.chat.model.uid.ContactUid
import nand.apps.chat.model.uid.GroupPeerUid
import nand.apps.chat.model.uid.GroupUid
import nand.apps.chat.model.uid.UserUid
import nand.apps.chat.model.user.UserData

data class ContactsState(
    val conversationUid: ContactUid? = null,
    val friends: Map<UserUid, UserData> = emptyMap(),
    val groups: Map<GroupUid, ChatGroupData> = emptyMap(),
) {

    val conversationContact = when (conversationUid) {
        is UserUid -> friends[conversationUid]
        is GroupUid -> groups[conversationUid]
        is GroupPeerUid -> groups[conversationUid.groupUid]?.peers?.get(conversationUid.peerUid)
        else -> null
    }
}
