package nand.apps.chat.ui.dispatcher

import androidx.compose.runtime.Composable
import androidx.compose.runtime.DisposableEffect
import androidx.compose.runtime.SideEffect

@Composable
fun <T : EventCallback> DisposableEventHandler(
    eventCallback: T,
    eventDispatcher: EventDispatcher<T>,
    isEnabled: Boolean,
) {
    SideEffect { eventCallback.isEnabled = isEnabled }
    DisposableEffect(eventDispatcher) {
        eventDispatcher.add(eventCallback)
        onDispose { eventDispatcher.remove(eventCallback) }
    }
}