package nand.apps.chat.ui.embed.audio

import io.ktor.http.*
import nand.apps.chat.io.sanitizeFileName
import nand.apps.chat.model.audio.AudioMetadata
import nand.apps.chat.model.audio.AudioPlaybackState
import nand.apps.chat.util.getUrlFileName
import nand.apps.chat.util.isUrl
import okio.Path.Companion.toPath

data class AudioEmbedState(
    val uri: String,
    val type: ContentType,
    val reuseCache: Boolean,
    val playablePath: String? = null,
    val playbackState: AudioPlaybackState = AudioPlaybackState.STOPPED,
    val timestamp: Double = 0.0,
    val duration: Double = 0.0,
    val metadata: AudioMetadata? = null,
    val isDeleteDialogVisible: Boolean = false,
) {

    val isUrl = uri.isUrl()
    val fileName = if (isUrl) uri.getUrlFileName().sanitizeFileName() else uri.toPath().name
}