package nand.apps.chat.ui.groups

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.AddCircle
import androidx.compose.material.icons.filled.Groups
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.contacts.ContactDialogType
import nand.apps.chat.ui.menu.ActionMenuDialog
import nand.apps.chat.ui.menu.ActionMenuRow
import org.jetbrains.compose.resources.stringResource
import seers.composeapp.generated.resources.*

@Composable
fun AddGroupDialog(
    onSelect: (ContactDialogType) -> Unit,
    onDismiss: () -> Unit,
) = ActionMenuDialog(
    onDismiss = onDismiss
) {
    ActionMenuRow(
        icon = Icons.Default.AddCircle,
        label = stringResource(Res.string.create_group_dialog_title),
        onClick = { onSelect(ContactDialogType.CREATE_GROUP) },
    )
    ActionMenuRow(
        icon = Icons.Default.Groups,
        label = stringResource(Res.string.join_group_dialog_title),
        onClick = { onSelect(ContactDialogType.JOIN_GROUP) },
    )
}