package nand.apps.chat.ui.icons

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.ui.graphics.vector.ImageVector
import nand.apps.chat.io.*

fun fileExtensionIcon(extension: String): ImageVector = when (extension) {
    in IMAGE_EXTENSIONS -> Icons.Outlined.Image
    in PROFILE_EXTENSIONS -> Icons.Outlined.AccountBox
    in MUSIC_EXTENSIONS -> Icons.Outlined.AudioFile
    in VIDEO_EXTENSIONS -> Icons.Outlined.VideoFile
    in SETTINGS_EXTENSIONS -> Icons.Outlined.Settings
    in EXECUTABLE_EXTENSIONS -> Icons.Outlined.Terminal
    "pdf" -> Icons.Outlined.PictureAsPdf
    "js" -> Icons.Outlined.Javascript
    "css" -> Icons.Outlined.Css
    "html" -> Icons.Outlined.Html
    "php" -> Icons.Outlined.Php
    else -> Icons.Outlined.Description
}