package nand.apps.chat.ui.icons

import androidx.compose.material.Icon
import androidx.compose.runtime.Composable
import androidx.compose.runtime.NonRestartableComposable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.vector.ImageVector
import nand.apps.chat.ui.modifier.shadow

@Composable
@NonRestartableComposable
fun StyledIcon(
    icon: ImageVector,
    tint: Color,
    contentDescription: String?,
    modifier: Modifier = Modifier,
    hasShadow: Boolean = false,
    shadowColor: Color = Color.Black,
) {
    if (hasShadow) {
        Icon(
            imageVector = icon,
            tint = shadowColor,
            contentDescription = null,
            modifier = modifier.shadow(),
        )
    }
    Icon(
        imageVector = icon,
        tint = tint,
        contentDescription = contentDescription,
        modifier = modifier,
    )
}