package nand.apps.chat.ui.menu

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Column
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.window.Dialog
import nand.apps.chat.ui.navigation.BackHandler
import nand.apps.chat.ui.theme.ChatTheme

@Composable
fun ActionMenuDialog(
    onDismiss: () -> Unit,
    content: @Composable () -> Unit,
) = Dialog(
    onDismissRequest = onDismiss,
) {
    BackHandler(onBack = onDismiss)
    Column(
        modifier = Modifier
            .background(
                color = ChatTheme.colors.background,
                shape = ChatTheme.shapes.small,
            )
    ) {
        content()
    }
}