package nand.apps.chat.ui.settings.call

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.SettingsPhone
import nand.apps.chat.ui.settings.CallSettingsRoute
import nand.apps.chat.ui.settings.item.SettingsScreenState
import nand.apps.chat.ui.settings.item.SettingsCategory
import nand.apps.chat.ui.settings.item.SettingsSeparatorItem
import seers.composeapp.generated.resources.*

class CallSettingsCategory : SettingsCategory {

    override val title = Res.string.settings_calls_title
    override val description = Res.string.settings_calls_desc
    override val icon = Icons.Outlined.SettingsPhone
    override val route = CallSettingsRoute

    private val items = listOf(
        CallsEnabledSettingsItem(),
        CallMaxRingsSettingsItem(),
        CallSoundEffectsSettingsItem(),
        SettingsSeparatorItem(Res.string.settings_calls_voicemail),
        VoicemailEnabledSettingsItem(),
        VoicemailGreetingSettingsItem(),
        MaxVoicemailDurationSettingsItem(),
        VoicemailBitRateSettingsItem(),
    )

    override fun getItems(state: SettingsScreenState) = items
}