package nand.apps.chat.ui.settings.call

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.SettingsItem
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class CallSoundEffectsSettingsItem : SettingsItem {

    override val title = Res.string.settings_calls_sound_fx_title
    override val description = Res.string.settings_calls_sound_fx_desc
    override val icon = Icons.Outlined.RingVolume

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.callSettings
        CheckboxRow(
            isChecked = state.isSoundEffectsEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isSoundEffectsEnabled = checked))
            }
        )
    }
}