package nand.apps.chat.ui.settings.chat

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class ChatAvatarsSettingsItem : SettingsItem {

    override val title = Res.string.settings_chat_avatars_title
    override val description = Res.string.settings_chat_avatars_desc
    override val icon = Icons.Outlined.AccountBox

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.chatSettings
        CheckboxRow(
            isChecked = state.isAvatarsEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isAvatarsEnabled = checked))
            }
        )
    }
}