package nand.apps.chat.ui.settings.chat

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class ChatMentionsEnabledSettingsItem : SettingsItem {

    override val title = Res.string.settings_chat_mentions_enabled_title
    override val description = Res.string.settings_chat_mentions_enabled_desc
    override val icon = Icons.Outlined.AlternateEmail

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.chatSettings
        CheckboxRow(
            isChecked = state.isMentionsEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isMentionsEnabled = checked))
            }
        )
    }
}