package nand.apps.chat.ui.settings.chat

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.automirrored.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.dialog.ChatMessageAlignmentDialog
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.DialogRow
import seers.composeapp.generated.resources.*

class ChatMessageAlignmentSettingsItem : SettingsItem {

    override val title = Res.string.settings_chat_message_alignment_title
    override val description = Res.string.settings_chat_message_alignment_desc
    override val icon = Icons.AutoMirrored.Outlined.FormatAlignLeft

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        DialogRow { onConfirm ->
            ChatMessageAlignmentDialog(
                viewModel = viewModel,
                onConfirm = onConfirm,
            )
        }
    }
}