package nand.apps.chat.ui.settings.chat

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.automirrored.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.time.MINUTE_MILLIS
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.InputDialogRow
import nand.apps.chat.util.REGEX_NON_DIGITS
import nand.apps.chat.util.toIntOrZero
import seers.composeapp.generated.resources.*

class ChatMessageSplitSettingsItem : SettingsItem {

    override val title = Res.string.settings_chat_message_split_title
    override val description = Res.string.settings_chat_message_split_desc
    override val icon = Icons.AutoMirrored.Outlined.SpeakerNotes

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.chatSettings
        InputDialogRow(
            label = Res.string.settings_chat_message_split_label,
            value = (state.messageMergeThreshold / MINUTE_MILLIS).toString(),
            regex = REGEX_NON_DIGITS,
            onConfirm = { minutes ->
                viewModel.update(state.copy(messageMergeThreshold = minutes.toIntOrZero() * MINUTE_MILLIS))
            }
        )
    }
}