package nand.apps.chat.ui.settings.chat

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.automirrored.outlined.Chat
import nand.apps.chat.ui.settings.ChatSettingsRoute
import nand.apps.chat.ui.settings.item.SettingsScreenState
import nand.apps.chat.ui.settings.item.SettingsCategory
import nand.apps.chat.ui.settings.item.SettingsSeparatorItem
import seers.composeapp.generated.resources.*

class ChatSettingsCategory : SettingsCategory {

    override val title = Res.string.settings_chat_title
    override val description = Res.string.settings_chat_desc
    override val icon = Icons.AutoMirrored.Outlined.Chat
    override val route = ChatSettingsRoute

    private val items = listOf(
        ChatTextStyleSettingsItem(),
        ChatTextFxSettingsItem(),
        ChatMarkdownSettingsItem(),
        ChatAvatarsSettingsItem(),
        ChatMessageEditsSettingsItem(),
        ChatMessageReactionsSettingsItem(),
        ChatAnimatedEmojisSettingsItem(),
        ChatMessageAlignmentSettingsItem(),
        SettingsSeparatorItem(Res.string.settings_chat_groups_section),
        ChatPeerNameMessagesSettingsItem(),
        ChatPeerConnectMessagesSettingsItem(),
        ChatMentionsEnabledSettingsItem(),
        SettingsSeparatorItem(Res.string.settings_chat_input_section),
        ChatTextInputStyleSettingsItem(),
        ChatTextInputStyleTagSettingsItem(),
        SettingsSeparatorItem(Res.string.settings_advanced),
        ChatMessageHistorySettingsItem(),
        ChatMaxMessagesSettingsItem(),
        ChatMessageSplitSettingsItem(),
        ChatMaxTextFxSettingsItem(),
    )

    override fun getItems(state: SettingsScreenState) = items
}