package nand.apps.chat.ui.settings.dev

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class DevFeatureMatrixSettingsItem : SettingsItem {

    override val title = Res.string.settings_dev_feature_matrix_title
    override val description = Res.string.settings_dev_feature_matrix_desc
    override val icon = Icons.Outlined.DataArray

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.devSettings
        CheckboxRow(
            isChecked = state.isMatrixChatEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isMatrixChatEnabled = checked))
            },
        )
    }
}