package nand.apps.chat.ui.settings.dev

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.dialog.DevLogLevelDialog
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.DialogRow
import seers.composeapp.generated.resources.*

class DevLogLevelSettingsItem : SettingsItem {

    override val title = Res.string.settings_dev_log_level_title
    override val description = Res.string.settings_dev_log_level_desc
    override val icon = Icons.Outlined.EditNote

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        DialogRow { onConfirm ->
            DevLogLevelDialog(
                viewModel = viewModel,
                onConfirm = onConfirm,
            )
        }
    }
}