package nand.apps.chat.ui.settings.dev

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.Code
import androidx.compose.ui.util.fastFilter
import nand.apps.chat.BuildConfig.MATRIX_ENGINE
import nand.apps.chat.platform.getPlatform
import nand.apps.chat.ui.settings.DevSettingsRoute
import nand.apps.chat.ui.settings.item.SettingsScreenState
import nand.apps.chat.ui.settings.item.SettingsCategory
import nand.apps.chat.ui.settings.item.SettingsSeparatorItem
import seers.composeapp.generated.resources.*

class DevSettingsCategory : SettingsCategory {

    override val title = Res.string.settings_dev_title
    override val description = Res.string.settings_dev_desc
    override val icon = Icons.Outlined.Code
    override val route = DevSettingsRoute

    private val items = listOf(
        DevConsoleEnabledSettingsItem(),
        DevLogLevelSettingsItem(),
        SettingsSeparatorItem(Res.string.settings_dev_experimental_features),
        DevFeatureMatrixSettingsItem(),
    )

    override fun getItems(state: SettingsScreenState) = items.fastFilter { item ->
        when (item) {
            is SettingsSeparatorItem,
            is DevFeatureMatrixSettingsItem -> MATRIX_ENGINE
            is DevConsoleEnabledSettingsItem -> getPlatform().isDesktop
            else -> true
        }
    }
}