package nand.apps.chat.ui.settings.dev

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material.Icon
import androidx.compose.material.Text
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.Warning
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.settings.SettingsCategoryScreen
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.stringResource
import seers.composeapp.generated.resources.*

@Composable
fun DevSettingsScreen(
    category: DevSettingsCategory,
    viewModel: SettingsViewModel,
    modifier: Modifier = Modifier,
) = SettingsCategoryScreen(
    category = category,
    viewModel = viewModel,
    modifier = modifier,
) {
    Row(
        horizontalArrangement = Arrangement.spacedBy(ChatTheme.dimens.spacingMedium),
        verticalAlignment = Alignment.CenterVertically,
        modifier = Modifier
            .fillMaxWidth()
            .padding(ChatTheme.dimens.spacingMedium),
    ) {
        Icon(
            imageVector = Icons.Default.Warning,
            contentDescription = stringResource(Res.string.settings_dev_log_level_warning),
            tint = ChatTheme.colors.warning,
        )
        Text(
            text = stringResource(Res.string.settings_dev_disclaimer),
            style = ChatTheme.typography.body2,
            color = ChatTheme.colors.warning,
        )
    }
}