package nand.apps.chat.ui.settings.embed

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.io.MEGABYTE
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.InputDialogRow
import nand.apps.chat.util.toIntOrZero
import seers.composeapp.generated.resources.*

class EmbedDownloadSizeSettingsItem : SettingsItem {

    override val title = Res.string.settings_embed_max_download_size_title
    override val description = Res.string.settings_embed_max_download_size_desc
    override val icon = Icons.Outlined.FileDownload

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.embedSettings
        InputDialogRow(
            label = Res.string.settings_embed_max_download_size_label,
            value = (state.maxDownloadSize / MEGABYTE).toString(),
            onConfirm = { value ->
                viewModel.update(state.copy(maxDownloadSize = value.toIntOrZero() * MEGABYTE))
            }
        )
    }
}