package nand.apps.chat.ui.settings.embed

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalNavController
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.EmbedHostsRoute
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.Row
import seers.composeapp.generated.resources.*

class EmbedHostsSettingsItem : SettingsItem {

    override val title = Res.string.settings_embed_hosts_title
    override val description = Res.string.settings_embed_hosts_desc
    override val icon = Icons.Outlined.Language

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.embedSettings
        val navController = LocalNavController.current
        Row(
            isEnabled = state.isEnabled,
            onClick = { navController.navigate(EmbedHostsRoute) },
        )
    }
}