package nand.apps.chat.ui.settings.embed

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class EmbedImagesSettingsItem : SettingsItem {

    override val title = Res.string.settings_embed_images_title
    override val description = Res.string.settings_embed_images_desc
    override val icon = Icons.Outlined.PhotoLibrary

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.embedSettings
        CheckboxRow(
            isChecked = state.isImagesEnabled,
            isEnabled = state.isEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isImagesEnabled = checked))
            }
        )
    }
}