package nand.apps.chat.ui.settings.embed

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.SmartDisplay
import nand.apps.chat.ui.settings.EmbedSettingsRoute
import nand.apps.chat.ui.settings.item.SettingsScreenState
import nand.apps.chat.ui.settings.item.SettingsCategory
import seers.composeapp.generated.resources.*

class EmbedSettingsCategory : SettingsCategory {

    override val title = Res.string.settings_embed_title
    override val description = Res.string.settings_embed_desc
    override val icon = Icons.Outlined.SmartDisplay
    override val route = EmbedSettingsRoute

    private val items = listOf(
        EmbedEnabledSettingsItem(),
        EmbedImagesSettingsItem(),
        EmbedDownloadSizeSettingsItem(),
        EmbedHostsSettingsItem(),
    )

    override fun getItems(state: SettingsScreenState) = items
}