package nand.apps.chat.ui.settings.filetransfer

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalNavController
import nand.apps.chat.ui.settings.FileTransferAutoAcceptRoute
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.Row
import seers.composeapp.generated.resources.*

class FileTransferAutoAcceptSettingsItem : SettingsItem {

    override val title = Res.string.settings_file_transfer_auto_accept_title
    override val description = Res.string.settings_file_transfer_auto_accept_desc
    override val icon = Icons.Outlined.Description

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val navController = LocalNavController.current
        Row(
            onClick = { navController.navigate(FileTransferAutoAcceptRoute) }
        )
    }
}