package nand.apps.chat.ui.settings.filetransfer

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class FileTransferConfirmationEnabledSettingsItem : SettingsItem {

    override val title = Res.string.settings_file_transfer_confirmation_enabled_title
    override val description = Res.string.settings_file_transfer_confirmation_enabled_desc
    override val icon = Icons.Outlined.UploadFile

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.fileSettings
        CheckboxRow(
            isChecked = state.showFileTransferConfirmation,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(showFileTransferConfirmation = checked))
            }
        )
    }
}