package nand.apps.chat.ui.settings.filetransfer

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.SettingsFilePickerRow
import seers.composeapp.generated.resources.*

class FileTransferDownloadDirectorySettingsItem : SettingsItem {

    override val title = Res.string.settings_file_transfer_download_directory_title
    override val description = Res.string.settings_file_transfer_download_directory_desc
    override val icon = Icons.Outlined.SystemUpdateAlt

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.fileSettings
        SettingsFilePickerRow(
            title = title,
            description = description,
            icon = icon,
            path = state.downloadDirectory,
            onConfirm = { viewModel.update(state.copy(downloadDirectory = it)) },
        )
    }
}