package nand.apps.chat.ui.settings.filetransfer

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalNavController
import nand.apps.chat.ui.settings.FileTransferUploadConfigRoute
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.Row
import seers.composeapp.generated.resources.*

class FileTransferUploadEndpointSettingsItem : SettingsItem {

    override val title = Res.string.settings_file_transfer_upload_config_title
    override val description = Res.string.settings_file_transfer_upload_config_desc
    override val icon = Icons.Outlined.CloudSync

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val navController = LocalNavController.current
        Row(
            onClick = { navController.navigate(FileTransferUploadConfigRoute) }
        )
    }
}