package nand.apps.chat.ui.settings.general

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.dialog.ColorSettingDialog
import nand.apps.chat.ui.settings.item.SettingsItem
import nand.apps.chat.ui.settings.row.DialogRow
import seers.composeapp.generated.resources.*

class AppThemeSettingsItem : SettingsItem {

    override val title = Res.string.settings_theme_color_title
    override val description = Res.string.settings_theme_color_desc
    override val icon = Icons.Outlined.Palette

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        DialogRow { onConfirm ->
            ColorSettingDialog(onConfirm = onConfirm)
        }
    }
}