package nand.apps.chat.ui.settings.general

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.time.MINUTE_MILLIS
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.InputDialogRow
import nand.apps.chat.util.REGEX_NON_DIGITS
import nand.apps.chat.util.toIntOrZero
import seers.composeapp.generated.resources.*

class AutoAwaySettingsItem : SettingsItem {

    override val title = Res.string.settings_general_auto_away_title
    override val description = Res.string.settings_general_auto_away_desc
    override val icon = Icons.Outlined.ModeStandby

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.generalSettings
        InputDialogRow(
            label = Res.string.settings_general_auto_away_label,
            value = (state.autoAwayTime / MINUTE_MILLIS).toString(),
            regex = REGEX_NON_DIGITS,
            onConfirm = { hours ->
                viewModel.update(state.copy(autoAwayTime = hours.toIntOrZero() * MINUTE_MILLIS))
            }
        )
    }
}