package nand.apps.chat.ui.settings.general

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.dialog.TimeSettingDialog
import nand.apps.chat.ui.settings.item.SettingsItem
import nand.apps.chat.ui.settings.row.DialogRow
import seers.composeapp.generated.resources.*

class DateTimeSettingsItem : SettingsItem {

    override val title = Res.string.settings_general_time_display_title
    override val description = Res.string.settings_general_time_display_desc
    override val icon = Icons.Outlined.Schedule

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        DialogRow { onConfirm ->
            TimeSettingDialog(
                viewModel = viewModel,
                onConfirm = onConfirm,
            )
        }
    }
}