package nand.apps.chat.ui.settings.general

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.Settings
import androidx.compose.ui.util.fastFilter
import nand.apps.chat.locale.isAppLocaleSupported
import nand.apps.chat.ui.settings.GeneralSettingsRoute
import nand.apps.chat.ui.settings.item.SettingsScreenState
import nand.apps.chat.ui.settings.item.SettingsCategory
import nand.apps.chat.ui.settings.item.SettingsSeparatorItem
import seers.composeapp.generated.resources.*

class GeneralSettingsCategory : SettingsCategory {

    override val title = Res.string.settings_general_title
    override val description = Res.string.settings_general_desc
    override val icon = Icons.Outlined.Settings
    override val route = GeneralSettingsRoute

    private val items = listOf(
        AppLocaleSettingsItem(),
        DateTimeSettingsItem(),
        AutoAwaySettingsItem(),
        ScreenDensitySettingsItem(),
        SettingsSeparatorItem(Res.string.settings_theme_section),
        AppThemeSettingsItem(),
        ResetAppThemeSettingsItem(),
    )

    override fun getItems(state: SettingsScreenState) = items.fastFilter { item ->
        when (item) {
            is AppLocaleSettingsItem -> isAppLocaleSupported()
            else -> true
        }
    }
}