package nand.apps.chat.ui.settings.general

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.model.settings.theme.ThemeSettingsData
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.SettingsItem
import nand.apps.chat.ui.settings.row.SettingsRow
import nand.apps.chat.ui.theme.ChatTheme
import seers.composeapp.generated.resources.*

class ResetAppThemeSettingsItem : SettingsItem {

    override val title = Res.string.settings_theme_reset_title
    override val description = Res.string.settings_theme_reset_desc
    override val icon = Icons.Outlined.LightMode // XXX - Doesn't matter tbh

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        SettingsRow(
            title = title,
            description = description,
            icon = if (ChatTheme.colors.isLight) Icons.Outlined.LightMode else Icons.Outlined.DarkMode,
            onClick = { viewModel.update(ThemeSettingsData()) },
        )
    }
}