package nand.apps.chat.ui.settings.general

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.dialog.DensitySettingDialog
import nand.apps.chat.ui.settings.item.SettingsItem
import nand.apps.chat.ui.settings.row.DialogRow
import seers.composeapp.generated.resources.*

class ScreenDensitySettingsItem : SettingsItem {

    override val title = Res.string.settings_general_density_title
    override val description = Res.string.settings_general_density_desc
    override val icon = Icons.Outlined.AspectRatio

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        DialogRow { onConfirm ->
            DensitySettingDialog(
                viewModel = viewModel,
                onConfirm = onConfirm,
            )
        }
    }
}