package nand.apps.chat.ui.settings.item

import androidx.compose.runtime.Composable
import nand.apps.chat.ui.navigation.NavRoute
import nand.apps.chat.ui.provider.LocalNavController
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.row.Row

interface SettingsCategory : SettingsItem {

    val route: NavRoute

    fun getItems(state: SettingsScreenState): List<SettingsItem>

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val navController = LocalNavController.current
        Row(
            onClick = { navController.navigate(route) },
        )
    }
}