package nand.apps.chat.ui.settings.main

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalNavController
import nand.apps.chat.ui.settings.AboutScreenRoute
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.Row
import seers.composeapp.generated.resources.*

class AboutScreenSettingsItem : SettingsItem {

    override val title = Res.string.about_screen_title
    override val description = null
    override val icon = Icons.Outlined.Info

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val navController = LocalNavController.current
        Row(
            onClick = { navController.navigate(AboutScreenRoute) },
        )
    }
}