package nand.apps.chat.ui.settings.main

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.Settings
import androidx.compose.ui.util.fastFilter
import nand.apps.chat.ui.navigation.SettingsRoute
import nand.apps.chat.ui.settings.call.CallSettingsCategory
import nand.apps.chat.ui.settings.chat.ChatSettingsCategory
import nand.apps.chat.ui.settings.dev.DevSettingsCategory
import nand.apps.chat.ui.settings.embed.EmbedSettingsCategory
import nand.apps.chat.ui.settings.filetransfer.FileTransferSettingsCategory
import nand.apps.chat.ui.settings.general.GeneralSettingsCategory
import nand.apps.chat.ui.settings.item.SettingsScreenState
import nand.apps.chat.ui.settings.item.SettingsCategory
import nand.apps.chat.ui.settings.net.NetworkSettingsCategory
import nand.apps.chat.ui.settings.notifications.NotificationSettingsCategory
import nand.apps.chat.ui.settings.profile.ProfileSettingsCategory
import nand.apps.chat.ui.settings.update.AppUpdateSettingsCategory
import seers.composeapp.generated.resources.*

class MainSettingsCategory : SettingsCategory {

    override val title = Res.string.settings
    override val description = null
    override val icon = Icons.Outlined.Settings
    override val route = SettingsRoute

    private val items = listOf(
        GeneralSettingsCategory(),
        ChatSettingsCategory(),
        CallSettingsCategory(),
        NotificationSettingsCategory(),
        FileTransferSettingsCategory(),
        EmbedSettingsCategory(),
        ProfileSettingsCategory(),
        ShortcutsSettingsItem(),
        NetworkSettingsCategory(),
        AppUpdateSettingsCategory(),
        DevSettingsCategory(),
        AboutScreenSettingsItem(),
    )

    override fun getItems(state: SettingsScreenState) = items.fastFilter { item ->
        when (item) {
            is ProfileSettingsCategory -> state.isLoggedIn
            is AppUpdateSettingsCategory -> state.isInstallerSupported
            else -> true
        }
    }
}