package nand.apps.chat.ui.settings.main

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalNavController
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.ShortcutSettingsRoute
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.Row
import seers.composeapp.generated.resources.*

class ShortcutsSettingsItem : SettingsItem {

    override val title = Res.string.settings_shortcuts_title
    override val description = Res.string.settings_shortcuts_desc
    override val icon = Icons.Outlined.Keyboard

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val navController = LocalNavController.current
        Row(
            onClick = { navController.navigate(ShortcutSettingsRoute) },
        )
    }
}