package nand.apps.chat.ui.settings.net

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.dialog.NetworkProxySettingDialog
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.DialogRow
import seers.composeapp.generated.resources.*

class NetworkProxySettingsItem : SettingsItem {

    override val title = Res.string.settings_network_proxy_title
    override val description = Res.string.settings_network_proxy_desc
    override val icon = Icons.Outlined.VpnLock

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.networkSettings
        DialogRow { onConfirm ->
            NetworkProxySettingDialog(
                onUpdateProxy = { viewModel.update(state.copy(proxy = it)) },
                onDismiss = onConfirm,
            )
        }
    }
}