package nand.apps.chat.ui.settings.net

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.*
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.dialog.NetworkRemoteConfigDialog
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.DialogRow
import seers.composeapp.generated.resources.*

class NetworkRemoteConfigSettingsItem : SettingsItem {

    override val title = Res.string.settings_network_remote_config_title
    override val description = Res.string.settings_network_remote_config_desc
    override val icon = Icons.Outlined.SettingsEthernet

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val networkSettings = LocalSettingsProvider.current.networkSettings
        DialogRow(
            isEnabled = networkSettings.remoteSettings.isEnabled,
        ) { onConfirm ->
            NetworkRemoteConfigDialog(
                onUpdate = {
                    viewModel.update(networkSettings.copy(remoteSettings = it))
                    onConfirm()
                },
                onDismiss = onConfirm,
            )
        }
    }
}