package nand.apps.chat.ui.settings.net

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class NetworkRemoteEnabledSettingsItem : SettingsItem {

    override val title = Res.string.settings_network_remote_enabled_title
    override val description = Res.string.settings_network_remote_enabled_desc
    override val icon = Icons.Outlined.SettingsRemote

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.networkSettings
        CheckboxRow(
            isChecked = state.remoteSettings.isEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(remoteSettings = state.remoteSettings.copy(isEnabled = checked)))
            }
        )
    }
}