package nand.apps.chat.ui.settings.net

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.Wifi
import androidx.compose.ui.util.fastFilter
import nand.apps.chat.model.engine.ChatEngineType
import nand.apps.chat.BuildConfig.MOCK_ENGINE
import nand.apps.chat.ui.settings.NetworkSettingsRoute
import nand.apps.chat.ui.settings.item.SettingsScreenState
import nand.apps.chat.ui.settings.item.SettingsCategory
import nand.apps.chat.ui.settings.item.SettingsSeparatorItem
import seers.composeapp.generated.resources.*

class NetworkSettingsCategory : SettingsCategory {

    override val title = Res.string.settings_network_title
    override val description = Res.string.settings_network_desc
    override val icon = Icons.Outlined.Wifi
    override val route = NetworkSettingsRoute

    private val items = listOf(
        NetworkUdpEnabledSettingsItem(),
        NetworkIpv6EnabledSettingsItem(),
        NetworkLanEnabledSettingsItem(),
        SettingsSeparatorItem(Res.string.settings_advanced),
        NetworkProxySettingsItem(),
        NetworkToxNodesSettingsItem(),
        NetworkRemoteEnabledSettingsItem(),
        NetworkRemoteConfigSettingsItem(),
    )

    override fun getItems(state: SettingsScreenState) = items.fastFilter { item ->
        when (item) {
            is NetworkToxNodesSettingsItem -> !MOCK_ENGINE && state.chatEngine == ChatEngineType.TOX
            else -> true
        }
    }
}