package nand.apps.chat.ui.settings.net

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalNavController
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.ToxNodeSettingsRoute
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.Row
import seers.composeapp.generated.resources.*

class NetworkToxNodesSettingsItem : SettingsItem {

    override val title = Res.string.settings_network_tox_nodes_title
    override val description = Res.string.settings_network_tox_nodes_desc
    override val icon = Icons.Outlined.Hub

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val navController = LocalNavController.current
        Row(
            onClick = { navController.navigate(ToxNodeSettingsRoute) },
        )
    }
}