package nand.apps.chat.ui.settings.net

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class NetworkUdpEnabledSettingsItem : SettingsItem {

    override val title = Res.string.settings_network_udp_enabled_title
    override val description = Res.string.settings_network_udp_enabled_desc
    override val icon = Icons.Outlined.LeakAdd

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.networkSettings
        CheckboxRow(
            isChecked = state.isUdpEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isUdpEnabled = checked))
            }
        )
    }
}