package nand.apps.chat.ui.settings.notifications

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class ChatWidgetGroupUnreadNumberSettingsItem : SettingsItem {

    override val title = Res.string.settings_notifications_widget_group_unread_number_title
    override val description = Res.string.settings_notifications_widget_group_unread_number_desc
    override val icon = Icons.Outlined.Emergency

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.notificationSettings.widgetSettings
        CheckboxRow(
            isChecked = state.isGroupUnreadNumberShown,
            isEnabled = state.isEnabled && state.isGroupUnreadEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isGroupUnreadNumberShown = checked))
            }
        )
    }
}