package nand.apps.chat.ui.settings.notifications

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.dialog.ChatWidgetPlacementDialog
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.DialogRow
import seers.composeapp.generated.resources.*

class ChatWidgetPlacementSettingsItem : SettingsItem {

    override val title = Res.string.settings_notifications_widget_placement_title
    override val description = Res.string.settings_notifications_widget_placement_desc
    override val icon = Icons.Outlined.PictureInPicture

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        DialogRow { onConfirm ->
            ChatWidgetPlacementDialog(
                viewModel = viewModel,
                onConfirm = onConfirm,
            )
        }
    }
}