package nand.apps.chat.ui.settings.notifications

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class MessageNotificationsEnabledSettingsItem : SettingsItem {

    override val title = Res.string.settings_notifications_enable_messages_title
    override val description = Res.string.settings_notifications_enable_messages_desc
    override val icon = Icons.Outlined.Feedback

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.notificationSettings
        CheckboxRow(
            isChecked = state.isMessageNotificationsEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isMessageNotificationsEnabled = checked))
            }
        )
    }
}