package nand.apps.chat.ui.settings.notifications

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class NotificationMessageSoundsSettingsItem : SettingsItem {

    override val title = Res.string.settings_notifications_sound_new_message_title
    override val description = Res.string.settings_notifications_sound_new_message_desc
    override val icon = Icons.Outlined.SurroundSound

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.notificationSettings.soundSettings
        CheckboxRow(
            isChecked = state.isNewMessageTriggerEnabled,
            isEnabled = state.isEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isNewMessageTriggerEnabled = checked))
            }
        )
    }
}