package nand.apps.chat.ui.settings.notifications

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.Notifications
import nand.apps.chat.platform.getPlatform
import nand.apps.chat.ui.settings.NotificationSettingsRoute
import nand.apps.chat.ui.settings.item.SettingsScreenState
import nand.apps.chat.ui.settings.item.SettingsCategory
import nand.apps.chat.ui.settings.item.SettingsSeparatorItem
import nand.apps.chat.util.addAll
import seers.composeapp.generated.resources.*

class NotificationSettingsCategory : SettingsCategory {

    override val title = Res.string.settings_notifications_title
    override val description = Res.string.settings_notifications_desc
    override val icon = Icons.Outlined.Notifications
    override val route = NotificationSettingsRoute

    private val items = buildList {
        addAll(
            MessageNotificationsEnabledSettingsItem(),
            CallNotificationsEnabledSettingsItem(),
        )
        if (getPlatform().isDesktop) {
            addAll(
                SettingsSeparatorItem(Res.string.settings_notifications_sound_section),
                NotificationSoundsEnabledSettingsItem(),
                NotificationSoundTypeSettingsItem(),
                NotificationMessageSoundsSettingsItem(),
                SettingsSeparatorItem(Res.string.settings_notifications_widget_section),
                ChatWidgetEnabledSettingsItem(),
                ChatWidgetPlacementSettingsItem(),
                ChatWidgetFlashSettingsItem(),
                ChatWidgetGroupUnreadEnabledSettingsItem(),
                ChatWidgetGroupUnreadNumberSettingsItem(),
                SettingsSeparatorItem(Res.string.settings_notifications_tray_section),
                TrayIconEnabledSettingsItem(),
                TrayIconFlashSettingsItem(),
                TrayIconMinimizeSettingsItem(),
            )
        }
    }

    override fun getItems(state: SettingsScreenState) = items
}