package nand.apps.chat.ui.settings.notifications

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.dialog.SoundTypeDialog
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.DialogRow
import seers.composeapp.generated.resources.*

class NotificationSoundTypeSettingsItem : SettingsItem {

    override val title = Res.string.settings_notifications_sound_type_title
    override val description = Res.string.settings_notifications_sound_type_desc
    override val icon = Icons.Outlined.MusicNote

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.notificationSettings.soundSettings
        DialogRow(
            isEnabled = state.isEnabled,
            content = { onConfirm ->
                SoundTypeDialog(
                    viewModel = viewModel,
                    onConfirm = onConfirm,
                )
            }
        )
    }
}