package nand.apps.chat.ui.settings.notifications

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class TrayIconEnabledSettingsItem : SettingsItem {

    override val title = Res.string.settings_notifications_enable_tray_icon_title
    override val description = Res.string.settings_notifications_enable_tray_icon_desc
    override val icon = Icons.Outlined.Apps

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.notificationSettings.traySettings
        CheckboxRow(
            isChecked = state.isEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isEnabled = checked))
            }
        )
    }
}