package nand.apps.chat.ui.settings.notifications

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class TrayIconMinimizeSettingsItem : SettingsItem {

    override val title = Res.string.settings_notifications_tray_minimize_title
    override val description = Res.string.settings_notifications_tray_minimize_desc
    override val icon = Icons.Outlined.Minimize

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.notificationSettings.traySettings
        CheckboxRow(
            isChecked = state.isMinimizeEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isMinimizeEnabled = checked))
            }
        )
    }
}