package nand.apps.chat.ui.settings.profile

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.profile.export.ProfileExportDialog
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.DialogRow
import seers.composeapp.generated.resources.*

class ProfileExportSettingsItem : SettingsItem {

    override val title = Res.string.settings_profile_export_title
    override val description = Res.string.settings_profile_export_desc
    override val icon = Icons.Outlined.SaveAs

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        DialogRow(
            isLoginRequired = true,
        ) { onConfirm ->
            ProfileExportDialog(onDismiss = onConfirm)
        }
    }
}