package nand.apps.chat.ui.settings.profile

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.profile.username.LoginUsernameDialog
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.DialogRow
import seers.composeapp.generated.resources.*

class ProfileLoginUsernameSettingsItem : SettingsItem {

    override val title = Res.string.settings_profile_login_username_title
    override val description = Res.string.settings_profile_login_username_desc
    override val icon = Icons.Outlined.Badge

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        DialogRow(
            isLoginRequired = true,
        ) { onConfirm ->
            LoginUsernameDialog(onCancel = onConfirm)
        }
    }
}