package nand.apps.chat.ui.settings.profile

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.AccountCircle
import nand.apps.chat.ui.settings.ProfileSettingsRoute
import nand.apps.chat.ui.settings.item.SettingsScreenState
import nand.apps.chat.ui.settings.item.SettingsCategory
import seers.composeapp.generated.resources.*

class ProfileSettingsCategory : SettingsCategory {

    override val title = Res.string.settings_profile_title
    override val description = Res.string.settings_profile_desc
    override val icon = Icons.Outlined.AccountCircle
    override val route = ProfileSettingsRoute

    private val items = listOf(
        ProfileLoginUsernameSettingsItem(),
        ProfileLoginPasswordSettingsItem(),
        ProfileExportSettingsItem(),
    )

    override fun getItems(state: SettingsScreenState) = items
}