package nand.apps.chat.ui.settings.search

import androidx.compose.runtime.Composable
import androidx.compose.runtime.CompositionLocalProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.SettingsItem

class SearchSettingsItem(
    private val item: SettingsItem,
    private val matches: SettingsSearchMatches,
) : SettingsItem {

    override val title = item.title
    override val description = item.description
    override val icon = item.icon

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        CompositionLocalProvider(
            LocalSettingsSearchProvider provides matches,
        ) {
            item.GetComposable(viewModel)
        }
    }
}