package nand.apps.chat.ui.settings.update

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.Update
import nand.apps.chat.ui.settings.AppUpdateSettingsRoute
import nand.apps.chat.ui.settings.item.SettingsScreenState
import nand.apps.chat.ui.settings.item.SettingsCategory
import seers.composeapp.generated.resources.*

class AppUpdateSettingsCategory : SettingsCategory {

    override val title = Res.string.settings_app_updates_title
    override val description = Res.string.settings_app_updates_desc
    override val icon = Icons.Outlined.Update
    override val route = AppUpdateSettingsRoute

    private val items = listOf(
        AppUpdateCheckSettingsItem(),
        AutoAppUpdateSettingsItem(),
        AppUpdateCheckIntervalSettingsItem(),
    )

    override fun getItems(state: SettingsScreenState) = items
}