package nand.apps.chat.ui.settings.update

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.provider.LocalSettingsProvider
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.item.*
import nand.apps.chat.ui.settings.row.CheckboxRow
import seers.composeapp.generated.resources.*

class AutoAppUpdateSettingsItem : SettingsItem {

    override val title = Res.string.settings_app_updates_auto_title
    override val description = Res.string.settings_app_updates_auto_desc
    override val icon = Icons.Outlined.FindReplace

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        val state = LocalSettingsProvider.current.appUpdateSettings
        CheckboxRow(
            isChecked = state.isAutoUpdateEnabled,
            onCheckedChange = { checked ->
                viewModel.update(state.copy(isAutoUpdateEnabled = checked))
            }
        )
    }
}