package nand.apps.chat.ui.shortcut

import androidx.compose.ui.input.key.*
import nand.apps.chat.time.currentTimeMillis

data class ChatKeyEvent(
    val key: Key,
    val utf16CodePoint: Int = -1,
    val isShiftPressed: Boolean = false,
    val isCtrlPressed: Boolean = false,
    val isAltPressed: Boolean = false,
    val isMetaPressed: Boolean = false,
    val timestamp: Long = currentTimeMillis(),
)

fun KeyEvent.toChatKeyEvent() = ChatKeyEvent(
    key = key,
    utf16CodePoint = utf16CodePoint,
    isShiftPressed = isShiftPressed,
    isCtrlPressed = isCtrlPressed,
    isAltPressed = isAltPressed,
    isMetaPressed = isMetaPressed,
)
