package nand.apps.chat.ui.text

import androidx.compose.ui.text.SpanStyle
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.style.TextDecoration
import nand.apps.chat.model.settings.ChatSettingsData
import nand.apps.chat.ui.contacts.ContactsState
import nand.apps.chat.ui.theme.ChatThemeColors

data class StylizedTextParameters(
    val settings: ChatSettingsData,
    val colors: ChatThemeColors,
    val mentionsRegex: Regex? = null,
    val contactsState: ContactsState? = null,
    val tagPreviewStyle: TextStyle? = null,
    val isClicked: Boolean = false,
) {

    val urlStyle = SpanStyle(color = colors.primary, textDecoration = TextDecoration.Underline)
    val matchStyle = SpanStyle(color = colors.onMention, background = colors.mention)

    fun enableTextStyles() = copy(
        settings = settings.copy(
            isTextStylesEnabled = true,
            isMarkdownEnabled = true,
        )
    )
}