package nand.apps.chat.ui.text

import androidx.compose.ui.text.AnnotatedString
import androidx.compose.ui.text.input.TransformedText
import androidx.compose.ui.text.input.VisualTransformation

/**
 * Wraps a [TransformedText] while also overriding [equals] and [hashCode]
 * so it can be used in a mutable state wrapper
 */
class StylizedTextVisualTransformation(
    val text: TransformedText,
) : VisualTransformation {

    override fun filter(text: AnnotatedString): TransformedText {
        return this.text
    }

    override fun equals(other: Any?): Boolean {
        return text == (other as? StylizedTextVisualTransformation)?.text
    }

    override fun hashCode(): Int {
        return text.hashCode()
    }
}