package nand.apps.chat.ui.util

import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import com.hoc081098.kmp.viewmodel.ViewModel
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Job
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.FlowCollector
import kotlinx.coroutines.launch

fun <T> CoroutineScope.collect(flow: Flow<T>, collector: FlowCollector<T>): Job {
    return launch { flow.collect(collector) }
}

fun <T> ViewModel.collect(flow: Flow<T>, collector: FlowCollector<T>) {
    viewModelScope.collect(flow, collector)
}

@Composable
fun <T> LaunchedCollect(flow: Flow<T>, collector: FlowCollector<T>) {
    LaunchedEffect(Unit) { flow.collect(collector) }
}