package nand.apps.chat.camera

import nand.apps.chat.event.ChatEventHandler
import nand.apps.chat.model.event.TakePhotoEvent
import nand.apps.chat.model.event.TakePhotoQrCodeEvent
import okio.Path

class TestCameraLauncher(
    override val isSupported: Boolean,
    private val eventHandler: ChatEventHandler,
) : CameraLauncher {

    override fun launchForQrCode() {
        eventHandler += TakePhotoQrCodeEvent("TEST_CODE")
    }

    override fun launchForPhoto(path: Path) {
        eventHandler += TakePhotoEvent(path)
    }
}