package nand.apps.chat.engine.tox

import nand.apps.tox.net.ToxBootstrapData
import nand.apps.tox.net.ToxBootstrapNode

val TOX_NODE_1 = ToxBootstrapNode(
    ipv4 = "192.168.150.23",
    ipv6 = "",
    maintainer = "John Dekoster",
    version = "0.2.20",
    motd = "Dreadful electronic experiments",
    location = "NL",
    udpPort = 33445,
    tcpPorts = emptyList(),
    publicKey = "D1CCD9F313BFA6EB5AF83F0BB053D79CBA270D0D1D0BFB63448468AC293B1B34",
    isUdpOnline = true,
    isTcpOnline = false,
)

val TOX_NODE_2 = ToxBootstrapNode(
    ipv4 = "127.0.0.1",
    ipv6 = "::1",
    maintainer = "Michael Grandner",
    version = "0.2.19",
    motd = "don't get any ideas",
    location = "US",
    udpPort = 33445,
    tcpPorts = listOf(33445),
    publicKey = "D4D6DD8EC4A63D39432FE1DCD231F9A83DFF09D3AA4BC9A0FA930E6A6215429E",
    isUdpOnline = true,
    isTcpOnline = true,
)

val TOX_NODE_3 = ToxBootstrapNode(
    ipv4 = "seers.chat",
    ipv6 = "seers.chat",
    maintainer = "Rip Jarvis",
    version = "0.2.20",
    motd = "We're really in it this time Doo Dah...",
    location = "US",
    udpPort = 33445,
    tcpPorts = emptyList(),
    publicKey = "0A7DC29B1179CD6508BD804082905D665EE0B146F6B28B532DF513737A75BAC2",
    isUdpOnline = true,
    isTcpOnline = false,
)

val TOX_BOOTSTRAP_DATA = ToxBootstrapData(
    lastScan = 1234567890,
    lastRefresh = 987654321,
    nodes = listOf(TOX_NODE_1, TOX_NODE_2, TOX_NODE_3),
)