package nand.apps.chat.res

import org.jetbrains.compose.resources.StringArrayResource
import org.jetbrains.compose.resources.StringResource

class TestStringResourceProvider : StringResourceProvider {

    override fun getString(resource: StringResource, vararg args: Any): String {
        return buildString {
            append(resource.key)
            if (args.isNotEmpty()) {
                append(args.joinToString("[", ",", "]", transform = ::getArgument))
            }
        }
    }

    override fun getStringArray(resource: StringArrayResource): List<String> {
        return listOf(resource.key)
    }
}