package nand.apps.chat.update

import nand.apps.chat.io.ChatFilePaths
import nand.apps.chat.io.CoroutineDelayScope
import nand.apps.chat.model.update.AppReleaseDownload
import nand.apps.chat.util.APP_RELEASE_INFO
import okio.Path

class TestAppUpdater(
    private val filePaths: ChatFilePaths,
    private val delayScope: CoroutineDelayScope,
) : AppUpdater {

    override suspend fun checkLoop() {
    }

    override suspend fun download(request: AppReleaseDownload, onProgress: (Int) -> Unit): Path {
        for (progress in 0..100 step 25) {
            onProgress(progress)
            delayScope.delay(100)
        }
        return filePaths.downloadPath.resolve(APP_RELEASE_INFO.download.fileName)
    }

    override suspend fun getLatestReleaseInfo() = APP_RELEASE_INFO
}