package nand.apps.chat.util

import com.goncalossilva.resources.Resource
import okio.FileSystem
import okio.Path.Companion.toPath
import kotlin.test.assertTrue

fun loadResource(path: String) = Resource("src/commonTest/resources/$path")

fun FileSystem.writeTestResource(path: String) {
    val resource = loadResource(path)
    assertTrue(resource.exists(), "$path test resource not found")
    val ioPath = path.toPath()
    createDirectories(ioPath.parent!!)
    write(ioPath) { write(loadResource(path).readBytes()) }
}