package nand.apps.chat.util

import nand.apps.chat.model.audio.AudioMetadata
import nand.apps.chat.model.group.ChatGroupData
import nand.apps.chat.model.uid.GroupUid
import nand.apps.chat.model.uid.UserUid
import nand.apps.chat.model.update.AppReleaseDownload
import nand.apps.chat.model.update.AppReleaseInfo
import nand.apps.chat.model.user.ChatProfileData
import nand.apps.chat.model.user.UserData

val TEST_SELF = UserData(
    uid = UserUid("SELF"),
    name = "NAND",
)

val TEST_PROFILE = ChatProfileData(
    username = "TEST",
    filePath = "profiles/TEST",
)

val APP_RELEASE_INFO = AppReleaseInfo(
    version = LOCAL_CLIENT_VERSION,
    download = AppReleaseDownload(
        fileName = "installer.deb",
        url = "https://seers.chat/installer.deb",
    )
)

const val MP3_SAMPLE_V1 = "audio/sample_id3v1.mp3"
const val MP3_SAMPLE_V2 = "audio/sample_id3v2.mp3"

val MP3_SAMPLE_V1_METADATA = AudioMetadata(
    title = "Yeah right!",
    artist = "The Fart Gallery [50+ samples ",
)

val MP3_SAMPLE_V2_METADATA = AudioMetadata(
    title = "Test Sound",
    artist = "The Tester",
)

val FRIEND_CHRIS = UserData(
    uid = UserUid("FRIEND_1"),
    name = "Chris Fitts",
    statusMessage = "",
)
val FRIEND_ROBBY = UserData(
    uid = UserUid("FRIEND_2"),
    name = "robbyGarner",
)
val FRIEND_MGC = UserData(
    uid = UserUid("FRIEND_3"),
    name = "MGC3003",
)
val FRIEND_LARRY = UserData(
    uid = UserUid("FRIEND_4"),
    name = "larry-carlson",
)
val GROUP_NOOBS = ChatGroupData(
    uid = GroupUid("GROUP_1"),
    selfUid = UserUid("SELF"),
    title = "The Noobs",
)
val GROUP_BOOBS = ChatGroupData(
    uid = GroupUid("GROUP_2"),
    selfUid = UserUid("SELF"),
    title = "The Boobs",
)