package nand.apps.chat.audio.file

import kotlinx.coroutines.Job
import nand.apps.audio.AudioFileReader
import nand.apps.audio.AudioHandle
import okio.Closeable

class DesktopAudioFileHandle(
    private val file: AudioFileReader,
    private val job: Job,
) : AudioHandle, Closeable {

    override val duration = file.duration
    override val timestamp get() = file.timestamp

    override fun seekTo(timestamp: Double): Boolean {
        return file.seekTo(timestamp)
    }

    override fun close() {
        file.close()
        job.cancel()
    }
}