package nand.apps.chat.ui.util

import nand.apps.chat.io.FILE_SCHEME
import nand.apps.chat.io.isFilePath
import okio.Path
import okio.Path.Companion.toOkioPath
import java.awt.Toolkit
import java.awt.datatransfer.DataFlavor
import java.io.File

actual fun getClipboardFilePath(): Path? {
    return try {
        val clipboard = Toolkit.getDefaultToolkit().systemClipboard
        val files = try {
            clipboard.getData(DataFlavor.javaFileListFlavor) as List<*>
        } catch (ignore: Exception) {
            val rawText = clipboard.getData(DataFlavor.stringFlavor)?.toString()
            rawText?.split("\n")?.mapNotNull { uri ->
                if (uri.startsWith(FILE_SCHEME) || uri.isFilePath()) {
                    File(uri.substringAfter(FILE_SCHEME))
                } else {
                    null
                }
            }
        }
        return (files?.firstOrNull() as? File)?.toOkioPath()
    } catch (ignore: Exception) {
        null
    }
}