package nand.apps.chat.ui.widget

import nand.apps.chat.model.settings.notifications.ChatWidgetSettingsData

data class ChatWidgetState(
    val isOnline: Boolean = false,
    val unreadDirectMessages: Int = 0,
    val unreadGroupMessages: Int = 0,
    val settings: ChatWidgetSettingsData = ChatWidgetSettingsData(),
) {

    val unreadCount = unreadDirectMessages + when {
        settings.isGroupUnreadEnabled && settings.isGroupUnreadNumberShown -> unreadGroupMessages
        else -> 0
    }
}