package nand.apps.chat.ui.event

import androidx.compose.runtime.Composable
import nand.apps.chat.event.ChatEventHandler
import nand.apps.chat.model.event.*
import nand.apps.chat.ui.util.LaunchedCollect
import org.koin.compose.getKoin

@Composable
fun AppEventHandler(
    onLoginState: (Boolean) -> Unit,
) {
    val eventHandler: ChatEventHandler by getKoin().inject()
    LaunchedCollect(eventHandler.onEvent) { event ->
        when (event) {
            is LoginCompleteEvent -> onLoginState(true)
            is LogoutEvent -> onLoginState(false)
            else -> Unit
        }
    }
}