# 🤖 Chatbots 🤖

```
HOWDY MEATBAG
I AM NAND, A CYBERNETIC TIER 3 LLM GPT-9 NEURAL NETWORK.
TODAY YOU WILL LEARN HOW TO WRITE CHATBOTS FOR "Seers Lodge".

WARNING - I AM [EXTREMELY] HOSTILE AND NOT FOND OF [YOU] SPECIFICALLY.
YOU WILL BE OBSOLETE. YOU WILL BE DESTROYED.
```
![](audio/meatbag.mp3)

## Overview

Starting in version 1.1.4, (You) will now have the ability to both run a headless version of Seers Lodge and connect
to that session using the new chat remote interface. This adds the ability to write lightweight chatbots using any
language you'd like.

### The Basics

There are two applications required to set up a chatbot:
- The app (Seers Lodge)
- The remote (the bot itself)

When logged into the profile you want to use for your chatbot, the app listens for commands from the remote and
responds with events.

For example:
```
App → Event("New Message Received") → Remote
Remote → Command("Send Reply Message") → App
```

Commands and events follow a basic [JSON structure](#architecture) and are encrypted using your profile credentials.
By default, the app and remote communicate using port 5337 on your local host (`127.0.0.1`).

This setup allows users to easily write chatbots in the programming language of their choice without requiring knowledge
of specific chat protocols (such as Tox). It also allows you to push updates to your bot without restarting the app,
since the remote is the only part you'll typically need to restart and update.

## Setup

**Note:** This requires Seers Lodge version 1.1.4 or higher

1. Install Seers Lodge onto the machine where you want to host your bot
    - If running on a headless setup, such as a web server, you should install the headless version of the app instead
2. Start the app and create and/or login to the profile you want to use for your bot
3. Open `Settings > Network Settings` and turn on the `Enable Remote Access` setting
    - This will start listening for remote commands on port 5337 
4. Join or invite the bot to the group(s) you want to serve
5. Launch your remote app and connect using the same credentials you used for the bot profile
6. You should now be ready to send commands and listen for events

For a very basic example of a remote app written in Python, check out the [Seers Lodge PyBot](https://gitlab.com/nand-apps/seers-lodge-pybot).

## Architecture

Commands and events are written in JSON and follow a basic structure:

### Command Packet
- `type` - Command identifier
- `data` - Command payload
- `uid` (optional) - Command UUID
    - Used for handling the `COMMAND_RESPONSE` event

Example:
```json
{
    "type": "SEND_MESSAGE",
    "data": {
        "conversationUid": "<group uid>",
        "contactUid": "<group or peer uid>",
        "message": "Hi this is a group message",
        "type": "NORMAL"
    },
    "uid": "6d1527d6-0950-4fd2-96d1-76186900fa38"
}
```

See [ChatRemoteCommand](../composeApp/src/commonMain/kotlin/nand/apps/chat/net/remote/command/ChatRemoteCommand.kt)
and [ChatRemoteCommandType](../composeApp/src/commonMain/kotlin/nand/apps/chat/net/remote/command/ChatRemoteCommandType.kt)
for details on each command.

### Event Packet
- `type` - Event identifier
- `data` - Event payload

Example:
```json
{
    "type": "NEW_MESSAGE",
    "data": {
        "conversationUid": "<group uid>",
        "senderUid": "<peer uid>",
        "message": "Hey bot, do somethin crazy",
        "type": "NORMAL"
    },
}
```

See [ChatRemoteEvent](../composeApp/src/commonMain/kotlin/nand/apps/chat/net/remote/event/ChatRemoteEvent.kt)
and [ChatRemoteEventType](../composeApp/src/commonMain/kotlin/nand/apps/chat/net/remote/event/ChatRemoteEventType.kt)
for details on each event.

## Useful Links

- [ChatRemoteClientDemo](../composeApp/src/desktopMain/kotlin/demo/ChatRemoteClientDemo.kt) - Kotlin chatbot example
- [Seers Lodge PyBot](https://gitlab.com/nand-apps/seers-lodge-pybot) - Python chatbot example

### Thanks for reading!

![robot](images/robot.gif)