package nand.apps.chat.emoji

import nand.apps.chat.model.emoji.EmojiData
import nand.apps.chat.model.emoji.EmojiGroup

interface EmojiRepo {

    val groups: Map<EmojiGroup, List<EmojiData>>

    suspend fun getEmojiData(emoji: String): EmojiData?

    suspend fun getEmojis(group: EmojiGroup, filter: String = ""): List<EmojiData>

    suspend fun getAnimatedEmojiSegments(text: CharSequence): List<Pair<String, String?>>
}