package nand.apps.chat.model.engine

import nand.apps.chat.util.CHARACTER_RANGE_HEX

data class ChatEngineConstraints(
    val isHostRequired: Boolean = false,
    val isPasswordRequired: Boolean = false,
    val maxNameLength: Int = 0,
    val maxStatusMessageLength: Int = 0,
    val maxFriendRequestLength: Int = 0,
    val maxMessageLength: Int = 0,
    val maxPacketLength: Int = 0,
    val maxGroupNameLength: Int = 0,
    val maxGroupDescLength: Int = 0,
    val maxGroupPasswordLength: Int = 0,
    val maxGroupPartingMessageLength: Int = 0,
    val maxFileNameLength: Int = 0,
    val maxHostnameLength: Int = 0,
    val addressLength: Int = 0,
    val uidLength: Int = 0,
    val uidCharacterRange: String = CHARACTER_RANGE_HEX,
) {
    
    val mentionRegex = when {
        uidLength > 0 -> Regex("@[$uidCharacterRange]{$uidLength}")
        else -> Regex("@[$uidCharacterRange]+")
    }
}