package nand.apps.chat.model.group

import kotlinx.serialization.Serializable
import nand.apps.chat.model.uid.UserUid

@Serializable
data class PersistedChatGroupInviteData(
    val friendUid: String,
    val groupName: String?,
    val groupType: ChatGroupType,
    val cookie: String,
    val password: String?,
)

fun ChatGroupInvite.toPersistedGroupInvite() = PersistedChatGroupInviteData(
    friendUid = friendUid.value,
    groupName = groupName,
    groupType = groupType,
    cookie = cookie,
    password = password,
)

fun PersistedChatGroupInviteData.toGroupInvite() = ChatGroupInvite(
    friendUid = UserUid(friendUid),
    groupName = groupName,
    groupType = groupType,
    cookie = cookie,
    password = password,
)