package nand.apps.chat.model.settings

import kotlinx.serialization.Serializable
import nand.apps.chat.model.settings.call.CallSettingsData
import nand.apps.chat.model.settings.filetransfer.FileTransferSettingsData
import nand.apps.chat.model.settings.net.NetworkSettingsData
import nand.apps.chat.model.settings.notifications.NotificationSettingsData
import nand.apps.chat.model.settings.shortcut.ShortcutSettingsData
import nand.apps.chat.model.settings.theme.ThemeSettingsData
import nand.apps.chat.model.settings.update.AppUpdateSettingsData

@Serializable
data class SettingsData(
    val version: Int = 0,
    val generalSettings: GeneralSettingsData = GeneralSettingsData(),
    val chatSettings: ChatSettingsData = ChatSettingsData(),
    val callSettings: CallSettingsData = CallSettingsData(),
    val notificationSettings: NotificationSettingsData = NotificationSettingsData(),
    val embedSettings: EmbedSettingsData = EmbedSettingsData(),
    val fileSettings: FileTransferSettingsData = FileTransferSettingsData(),
    val shortcutSettings: ShortcutSettingsData = ShortcutSettingsData(),
    val networkSettings: NetworkSettingsData = NetworkSettingsData(),
    val themeSettings: ThemeSettingsData = ThemeSettingsData(),
    val appUpdateSettings: AppUpdateSettingsData = AppUpdateSettingsData(),
    val devSettings: DevSettingsData = DevSettingsData(),

    // Deprecated fields - Remove in 1.2.0
    @Deprecated("Renamed to appUpdateSettings", ReplaceWith("appUpdateSettings"))
    val appUpdateSettingsData: AppUpdateSettingsData = AppUpdateSettingsData(),
)
