package nand.apps.chat.model.settings.shortcut

const val CTRL = "Ctrl+"
const val ALT = "Alt+"
const val SHIFT = "Shift+"
const val META = "Meta+"

data class ShortcutKeyCombo(
    val key: String,
    val ctrl: Boolean = false,
    val alt: Boolean = false,
    val shift: Boolean = false,
    val meta: Boolean = false,
) {
    
    override fun toString() = buildString {
        if (ctrl) append(CTRL)
        if (alt) append(ALT)
        if (shift) append(SHIFT)
        if (meta) append(META)
        append(key)
    }
}