package nand.apps.chat.model.settings.theme

import kotlinx.serialization.Serializable
import nand.apps.chat.platform.getDefaultChatTheme

val THEME_HUE_RANGE = 0f..360f
const val THEME_PRIMARY_HUE = 180f
const val THEME_SECONDARY_HUE = 110f

@Serializable
data class ThemeSettingsData(
    val theme: ChatThemeSetting = getDefaultChatTheme(),
    val baseHue: Float = -1f,
    val primaryHue: Float = THEME_PRIMARY_HUE,
    val secondaryHue: Float = THEME_SECONDARY_HUE,
) {

    val isBackgroundColored = baseHue in THEME_HUE_RANGE
}
