package nand.apps.chat.model.user

import kotlinx.serialization.Serializable

@Serializable
data class ChatClientVersion(
    val name: String,
    val major: Int,
    val minor: Int,
    val patch: Int,
) {

    val numberString = "v$major.$minor.$patch"

    operator fun compareTo(other: ChatClientVersion): Int {
        val majorComp = major.compareTo(other.major)
        val minorComp = minor.compareTo(other.minor)
        val patchComp = patch.compareTo(other.patch)
        return when {
            majorComp != 0 -> majorComp
            minorComp != 0 -> minorComp
            else -> patchComp
        }
    }

    override fun toString() = "$name $numberString"
}