package nand.apps.chat.model.user

import nand.apps.chat.model.avatar.ChatUserAvatar
import nand.apps.chat.model.contact.ChatContact
import nand.apps.chat.model.emoji.Emoji
import nand.apps.chat.model.uid.FriendRequestUid

data class FriendRequest(
    override val uid: FriendRequestUid,
    val message: String = "",
) : ChatContact {

    override val isOnline = true
    override val isMuted = false

    val avatar = ChatUserAvatar(
        username = uid.value,
        emoji = Emoji.DISGUISED_FACE,
    )
}