package nand.apps.chat.model.user

import kotlinx.serialization.Serializable
import nand.apps.chat.model.uid.FriendRequestUid

@Serializable
data class PersistedFriendRequest(
    val uid: String,
    val message: String,
)

fun FriendRequest.toPersistedFriendRequest() = PersistedFriendRequest(
    uid = uid.value,
    message = message,
)

fun PersistedFriendRequest.toFriendRequest() = FriendRequest(
    uid = FriendRequestUid(uid),
    message = message,
)