package nand.apps.chat.net.packet

import kotlinx.coroutines.Job
import nand.apps.chat.engine.ChatEngineCallback
import nand.apps.chat.model.net.packet.ChatPacketData
import nand.apps.chat.model.uid.ContactUid
import nand.apps.chat.model.uid.GroupUid
import nand.apps.chat.model.uid.UserUid

interface ChatPacketRepo : ChatEngineCallback {

    fun sendPacket(uid: ContactUid, data: ChatPacketData): Boolean

    fun sendPeerPacket(groupUid: GroupUid, peerUid: UserUid, data: ChatPacketData): Boolean

    fun onFriendPacketReceived(friendUid: UserUid, packet: ByteArray): Job?

    fun onGroupPacketReceived(groupUid: GroupUid, peerUid: UserUid, packet: ByteArray, isBroadcast: Boolean)
}