package nand.apps.chat.repo

import kotlinx.coroutines.flow.Flow
import nand.apps.audio.AudioFrame
import nand.apps.chat.model.call.CallControl
import nand.apps.chat.model.call.CallData
import nand.apps.chat.model.uid.ContactUid

interface CallRepo : CallRepoCallback {

    val callObserver: Flow<Map<ContactUid, CallData>>
    val callActivityObserver: Flow<Map<ContactUid, Boolean>>
    val isCallRingingObserver: Flow<Boolean>
    val onCallReceived: Flow<CallData>

    fun getCall(contactUid: ContactUid): CallData?

    fun startCall(contactUid: ContactUid, isAudioEnabled: Boolean, isVideoEnabled: Boolean)

    fun answerCall(contactUid: ContactUid, isAudioEnabled: Boolean = true, isVideoEnabled: Boolean = false, isVoicemail: Boolean = false)

    fun sendCallControl(contactUid: ContactUid, control: CallControl)

    fun sendAudioFrame(contactUid: ContactUid, frame: AudioFrame)

    fun sendAudioFrame(frame: AudioFrame)
}