package nand.apps.chat.repo

import nand.apps.audio.AudioFrame
import nand.apps.chat.engine.ChatEngineCallback
import nand.apps.chat.model.uid.ContactUid
import nand.apps.chat.model.uid.GroupUid
import nand.apps.chat.model.uid.UserUid

interface CallRepoCallback : ChatEngineCallback {

    fun onCallReceived(contactUid: ContactUid, isAudioEnabled: Boolean, isVideoEnabled: Boolean)

    fun onCallAnswered(contactUid: ContactUid, isSendingAudio: Boolean, isSendingVideo: Boolean, isAcceptingAudio: Boolean, isAcceptingVideo: Boolean)

    fun onCallFinished(contactUid: ContactUid)

    fun onAudioBitRate(contactUid: ContactUid, bitRate: Int)

    fun onAudioFrame(contactUid: ContactUid, frame: AudioFrame)

    fun onGroupAudioFrame(groupUid: GroupUid, peerUid: UserUid, frame: AudioFrame)
}