package nand.apps.chat.repo

import nand.apps.chat.avatar.ChatAvatarProvider
import nand.apps.chat.image.SimpleBitmap
import nand.apps.chat.io.ChatDirectory
import nand.apps.chat.model.uid.GroupUid
import nand.apps.chat.model.uid.UserUid
import nand.apps.chat.model.user.UserStatus

interface ChatAvatarRepo : ChatAvatarRepoCallback, ChatAvatarProvider {

    val avatarCacheDirectory: ChatDirectory
    val incomingDirectory: ChatDirectory

    fun getSelfAvatarPath(status: UserStatus): String?

    fun getSelfAvatarPath(): String?

    suspend fun setSelfAvatar(bitmap: SimpleBitmap, status: UserStatus): String?

    fun checkSendSelfAvatar(selfUid: UserUid, friendUid: UserUid)

    fun updateAvatar(hash: String, uid: UserUid, groupUid: GroupUid? = null): Boolean
}