package nand.apps.chat.repo

import nand.apps.chat.engine.ChatEngineCallback
import nand.apps.chat.model.file.ChatFileTransfer
import nand.apps.chat.model.group.ChatGroupData
import nand.apps.chat.model.uid.FileUid
import nand.apps.chat.model.uid.UserUid
import nand.apps.chat.model.user.UserData

interface ChatAvatarRepoCallback : ChatEngineCallback {

    fun onSelfStatusChanged(self: UserData)

    fun onAvatarReceived(friendUid: UserUid, fileUid: FileUid, fileSize: Long, hash: String)

    fun onAvatarSent(transfer: ChatFileTransfer)

    fun onGroupPeerAvatarReceived(group: ChatGroupData, peer: UserData, hash: String)
}