package nand.apps.chat.repo

import nand.apps.chat.engine.ChatEngineCallback
import nand.apps.chat.model.group.ChatGroupInvite
import nand.apps.chat.model.group.ChatGroupRole
import nand.apps.chat.model.group.ChatGroupTalkState
import nand.apps.chat.model.message.ChatMessageType
import nand.apps.chat.model.uid.GroupUid
import nand.apps.chat.model.uid.MessageUid
import nand.apps.chat.model.uid.UserUid
import nand.apps.chat.model.user.FriendRequest
import nand.apps.chat.model.user.UserData

interface ChatMessageRepoCallback : ChatEngineCallback {

    fun onFriendRequest(request: FriendRequest)

    fun onFriendRequestAccepted(request: FriendRequest, newFriend: UserData)

    fun onFriendMessage(friendUid: UserUid, messageType: ChatMessageType, message: String)

    fun onFriendReadReceipt(friendUid: UserUid, messageUid: MessageUid)

    fun onGroupInvite(invite: ChatGroupInvite)

    fun onGroupMessage(groupUid: GroupUid, peerUid: UserUid, messageType: ChatMessageType, message: String)

    fun onGroupPeerMessage(groupUid: GroupUid, peerUid: UserUid, messageType: ChatMessageType, message: String)

    fun onGroupUserName(groupUid: GroupUid, peerUid: UserUid, oldName: String, newName: String)

    fun onGroupPeerConnection(groupUid: GroupUid, peerUid: UserUid, isOnline: Boolean)

    fun onGroupPeerKicked(groupUid: GroupUid, sourceUid: UserUid, targetUid: UserUid)

    fun onGroupPeerRoleChanged(groupUid: GroupUid, sourceUid: UserUid, targetUid: UserUid, role: ChatGroupRole)

    fun onGroupTalkStateChanged(groupUid: GroupUid, talkState: ChatGroupTalkState)
}