package nand.apps.chat.repo

import kotlinx.coroutines.flow.Flow
import nand.apps.chat.model.file.ChatFileControl
import nand.apps.chat.model.file.ChatFileControlResponse
import nand.apps.chat.model.file.ChatFileTransfer
import nand.apps.chat.model.uid.FileTransferUid
import nand.apps.chat.model.uid.FileUid
import nand.apps.chat.model.uid.UserUid

interface FileTransferRepo : FileTransferRepoCallback {

    val observer: Flow<Map<FileTransferUid, ChatFileTransfer>>

    operator fun get(uid: FileTransferUid): ChatFileTransfer?

    fun addHistoricalTransfer(fileTransfer: ChatFileTransfer)

    fun sendFile(transfer: ChatFileTransfer): Boolean

    fun sendFile(path: String, friendUid: UserUid): Boolean

    fun sendFileControl(transfer: ChatFileTransfer, control: ChatFileControl)

    fun updateTransfer(transfer: ChatFileTransfer)

    fun removeTransfer(transfer: ChatFileTransfer)

    fun rejectFileTransfer(friendUid: UserUid, fileUid: FileUid): ChatFileControlResponse
}