package nand.apps.chat.repo

import nand.apps.chat.engine.ChatEngineCallback
import nand.apps.chat.model.file.ChatFileControl
import nand.apps.chat.model.uid.FileUid
import nand.apps.chat.model.uid.UserUid

interface FileTransferRepoCallback : ChatEngineCallback {

    fun onFileReceived(friendUid: UserUid, fileUid: FileUid, fileSize: Long, fileName: String)

    fun onFileChunkReceived(friendUid: UserUid, fileUid: FileUid, position: Long, data: ByteArray)

    fun onFileChunkRequest(friendUid: UserUid, fileUid: FileUid, position: Long, length: Long)

    fun onFileControl(friendUid: UserUid, fileUid: FileUid, control: ChatFileControl)
}