package nand.apps.chat.repo

import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.flow.Flow
import nand.apps.chat.model.notification.ChatNotification
import nand.apps.chat.model.notification.ChatNotificationGroup

interface NotificationRepo {

    val observer: Flow<Map<ChatNotificationGroup, ChatNotification>>

    fun start(coroutineScope: CoroutineScope)

    fun dismiss(group: ChatNotificationGroup)

    fun dismissAll()
}