package nand.apps.chat.repo

import kotlinx.coroutines.flow.Flow
import nand.apps.chat.model.engine.ChatEngineType
import nand.apps.chat.model.settings.SettingsData

interface SettingsRepo {

    var settings: SettingsData
    val isLoaded: Boolean
    val observer: Flow<SettingsData>
    val chatEngine: ChatEngineType

    suspend fun save()

    suspend fun load()

    fun update(block: SettingsData.() -> Any)
}