package nand.apps.chat.platform

import nand.apps.chat.model.settings.theme.ChatThemeSetting
import nand.apps.chat.util.takeIfNotBlank
import org.jetbrains.skiko.OS
import org.jetbrains.skiko.hostOs

actual fun getPlatform() = when (hostOs) {
    OS.Windows -> ChatPlatform.WINDOWS
    OS.MacOS -> ChatPlatform.MAC
    OS.Linux -> ChatPlatform.LINUX
    else -> ChatPlatform.DESKTOP_OTHER
}

actual fun getPlatformInfo() = System.getProperty("os.name").takeIfNotBlank() ?: when (hostOs) {
    OS.Windows -> "Windows"
    OS.MacOS -> "macOS"
    OS.Linux -> "Linux"
    else -> "Unknown"
}

actual fun getDefaultChatTheme() = ChatThemeSetting.SYSTEM