package nand.apps.chat.engine.matrix

import nand.apps.chat.model.uid.GroupUid
import nand.apps.chat.model.uid.UserUid
import net.folivo.trixnity.core.model.RoomId
import net.folivo.trixnity.core.model.UserId

fun UserId.toUserUid() = UserUid(localpart)

fun RoomId.toGroupUid() = GroupUid(localpart)

fun UserUid.toMatrixId(domain: String) = UserId(
    localpart = value,
    domain = domain,
)

fun GroupUid.toMatrixId(domain: String) = RoomId(
    localpart = value,
    domain = domain,
)