package nand.apps.chat.engine.matrix

import nand.apps.chat.engine.matrix.dev.MatrixDevCommandHandler
import nand.apps.chat.engine.matrix.profile.MatrixProfileAuthenticator
import nand.apps.chat.engine.matrix.profile.MatrixProfileRepo
import net.folivo.trixnity.client.store.repository.*
import org.koin.core.module.dsl.singleOf
import org.koin.dsl.module

fun getMatrixKoinModule() = module {
    single<MatrixChatEngine> { MatrixChatEngineImpl(get()) }
    singleOf(::MatrixChatEngineEncryption)
    singleOf(::MatrixProfileAuthenticator)
    singleOf(::MatrixProfileRepo)
    singleOf(::MatrixDevCommandHandler)
    singleOf(::MatrixChatEngineRepo)
}

internal fun getMatrixRepoKoinModule() = module {
    single<AccountRepository> { InMemoryAccountRepository() }
    single<RoomUserRepository> { InMemoryRoomUserRepository() }
    single<RoomUserReceiptsRepository> { InMemoryRoomUserReceiptsRepository() }
    single<RoomStateRepository> { InMemoryRoomStateRepository() }
    single<RepositoryTransactionManager> { NoOpRepositoryTransactionManager }
    single<ServerDataRepository> { InMemoryServerDataRepository() }
    single<GlobalAccountDataRepository> { InMemoryGlobalAccountDataRepository() }
    single<OutdatedKeysRepository> { InMemoryOutdatedKeysRepository() }
    single<DeviceKeysRepository> { InMemoryDeviceKeysRepository() }
    single<CrossSigningKeysRepository> { InMemoryCrossSigningKeysRepository() }
    single<KeyVerificationStateRepository> { InMemoryKeyVerificationStateRepository() }
    single<KeyChainLinkRepository> { InMemoryKeyChainLinkRepository() }
    single<SecretsRepository> { InMemorySecretsRepository() }
    single<SecretKeyRequestRepository> { InMemorySecretKeyRequestRepository() }
    single<RoomKeyRequestRepository> { InMemoryRoomKeyRequestRepository() }
    single<MediaCacheMappingRepository> { InMemoryMediaCacheMappingRepository() }
    single<OlmAccountRepository> { InMemoryOlmAccountRepository() }
    single<OlmSessionRepository> { InMemoryOlmSessionRepository() }
    single<OlmForgetFallbackKeyAfterRepository> { InMemoryOlmForgetFallbackKeyAfterRepository() }
    single<InboundMegolmSessionRepository> { InMemoryInboundMegolmSessionRepository() }
    single<InboundMegolmMessageIndexRepository> { InMemoryInboundMegolmMessageIndexRepository() }
    single<OutboundMegolmSessionRepository> { InMemoryOutboundMegolmSessionRepository() }
    single<RoomAccountDataRepository> { InMemoryRoomAccountDataRepository() }
    single<RoomOutboxMessageRepository> { InMemoryRoomOutboxMessageRepository() }
    single<RoomRepository> { InMemoryRoomRepository() }
    single<TimelineEventRepository> { InMemoryTimelineEventRepository() }
    single<TimelineEventRelationRepository> { InMemoryTimelineEventRelationRepository() }
}