package nand.apps.opus

object OpusNative {

    external fun openFileReader(path: String): Long
    external fun openMemoryReader(data: ByteArray): Long
    external fun getChannelCount(ptr: Long): Int
    external fun getSampleCount(ptr: Long): Long
    external fun getSamplePosition(ptr: Long): Long
    external fun seekTo(ptr: Long, position: Long): Boolean
    external fun readSamples(ptr: Long, buffer: ShortArray, offset: Int, length: Int): Int
    external fun readMetadata(ptr: Long, tag: String): ByteArray?
    external fun closeReader(ptr: Long)

    external fun openFileWriter(path: String, sampleRate: Int, channels: Int, bitRate: Int, metadataPtr: Long): Long
    external fun writeSamples(ptr: Long, buffer: ShortArray, offset: Int, samplesPerChannel: Int): Int
    external fun closeWriter(ptr: Long)

    external fun createMetadata(): Long
    external fun writeMetadata(metadataPtr: Long, tag: String, value: ByteArray): Boolean
    external fun destroyMetadata(metadataPtr: Long)
}